%define upstream_name    HTTP-Server-Simple
%define upstream_version 0.44

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl module to write simple standalone http daemons
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(Socket)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module is a simple standalone http dameon. It doesn't thread. It doesn't
fork. It does, however, act as a simple frontend which can turn a CGI into a
standalone web-based application.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes META.yml README SIGNATURE
%{perl_vendorlib}/HTTP
%{_mandir}/man3/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.440.0-2.mga3
+ Revision: 368331
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Apr 07 2011 jquelin <jquelin> 0.440.0-1.mga1
+ Revision: 81808
- update to 0.44

* Fri Jan 21 2011 jquelin <jquelin> 0.430.0-1.mga1
+ Revision: 30527
- mageia rebuild
- imported package perl-HTTP-Server-Simple

